* {
  font-family: -apple-system, system-ui, BlinkMacSystemFont, Segoe UI, Roboto,
    Helvetica Neue, Fira Sans, Ubuntu, Oxygen, Oxygen Sans, Cantarell,
    Droid Sans, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol,
    Lucida Grande, Helvetica, Arial, sans-serif;
}

:root {
  --background: #ffffff;
  --forTransDiv: #ffffff;
  --backgroundUnique: #ffffff;

  /* for form */
  --transForm: #ffffff;
  --transFormUnique: #ffffff;

  /* for text and paragraf */
  --text: #4f4f4f;

  /* for border */
  --border: #b7b7b7;
  --borderBig: #b7b7b7;
  --borderOnContrast: #ffffff;
  --borderUnique: #b7b7b7;

  /* for button */
  --btnTrans: #ffffff;

  --mainGreyText: #b7b7b7;
  --mainHeroText: #8a62fb;
  --mainSecondText: #4781f8;
  --mainWarnText: #f84747;

  --mainGreyBtn: #b7b7b7;
  --mainGreyBorderBtn: #b7b7b7;
  --hoverGreyBtn: #7e7e7e;
  --hoverGreyBorderBtn: #7e7e7e;
  --activeGreyBtn: #575757;
  --activeGreyBorderBtn: #575757;

  --mainGreyInvBtn: #b7b7b700;
  --mainGreyInvBorderBtn: #b7b7b7;
  --hoverGreyInvBtn: #7e7e7e00;
  --hoverGreyInvBorderBtn: #7e7e7e;
  --activeGreyInvBtn: #57575700;
  --activeGreyInvBorderBtn: #575757;

  --mainHeroBtn: #8a62fb;
  --mainHeroBorderBtn: #8a62fb;
  --hoverHeroBtn: #6147aa;
  --hoverHeroBorderBtn: #6147aa;
  --activeHeroBtn: #4c3885;
  --activeHeroBorderBtn: #4c3885;

  --mainHeroInvBtn: #8b62fb00;
  --mainHeroInvBorderBtn: #8a62fb;
  --hoverHeroInvBtn: #6147aa00;
  --hoverHeroInvBorderBtn: #6147aa;
  --activeHeroInvBtn: #4d388500;
  --activeHeroInvBorderBtn: #4c3885;

  --mainSecondBtn: #4781f8;
  --mainSecondBorderBtn: #4781f8;
  --hoverSecondBtn: #3664c0;
  --hoverSecondBorderBtn: #3664c0;
  --activeSecondBtn: #264b96;
  --activeSecondBorderBtn: #264b96;

  --mainSecondInvBtn: #4782f800;
  --mainSecondInvBorderBtn: #4781f8;
  --hoverSecondInvBtn: #3664c000;
  --hoverSecondInvBorderBtn: #3664c0;
  --activeSecondInvBtn: #264b9600;
  --activeSecondInvBorderBtn: #264b96;

  --mainWarnBtn: #f84747;
  --mainWarnBorderBtn: #f84747;
  --hoverWarnBtn: #be3131;
  --hoverWarnBorderBtn: #be3131;
  --activeWarnBtn: #7c2222;
  --activeWarnBorderBtn: #7c2222;

  --mainWarnInvBtn: #f8474700;
  --mainWarnInvBorderBtn: #f84747;
  --hoverWarnInvBtn: #be313100;
  --hoverWarnInvBorderBtn: #be3131;
  --activeWarnInvBtn: #7c222200;
  --activeWarnInvBorderBtn: #7c2222;

  /* for image container  */
  --firstImage: #61db99;
  --secondImage: #8a62fb;

  /* for nav */
  --navHam: #ffffff;
  --searchBoxBg: #ffffff;
  --colorSearch: #4f4f4f;
  --avarBg: #8a62fb;
  --avaBorder: #ffffff;
  --textNav: #ffffff;
  --colorInde: #8a62fb;

  /* for footer */
  --footerText: #ffffff;

  /* for block component */
  --heroBlock: #8a62fb;

  /* for setting page */
  --choosenAva: #61db99;
  --blockDisplayProfile: #4781f8;
  --textOnBlockProfile: #ffffff;
  --interestBg: #ffffff;
  --interestContent: #4781f8;
  --fadeOutProfile: #ffffff;

  /* for logo font icon */
  --faFontAwesome: #4f4f4f;

  /* for pagination */
  --muiPagination: #8a62fb;

  /* for nav gradation */
  --navGradFirst: #8a62fb75;
  --navGradSecond: #4782f8;
  --navGradThird: #009e7475;
  --navGradFourth: #a7f3cef5;

  /* for foot gradation */
  --footGradFirst: #8b62fb;
  --footGradSecond: #4782f8;
  --footGradThird: #009373;
  --footGradFourth: #a7f3ce;

  /* for lazy load */
  --colorLazyPrime: #efefef;
  --colorLazyDouble: #e0e0e0;

  /* for logo svg */
  --fillMain: #ffffff;
  --stopColorFirst: #a7f3ce;
  --stopColorSecond: #61db99;
  --stopColorThird: #8a62fb;
  --stopColorFourth: #00a2f3;

  /* for placeholder */
  --placeholderCo: #a7a7a7;

  background-color: var(--background);
}

body {
  margin: 0;
  padding: 0;
}

a,
button,
input[type="submit"] {
  cursor: pointer;
}

a {
  text-decoration: none;
  color: var(--text);
}

h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
  width: 100%;
}
